# encoding: utf-8
"""

* :mod:`mpnum.mparray`: Basic matrix product array (MPA) routines and
  compression

* :mod:`mppnum.mpstruct`: Underlying structure of MPAs to manage the local
  tensors

* :mod:`mpnum.mpsmpo`: Convert matrix product state (MPS), matrix
  product operator (MPO) and locally purifying MPS (PMPS)
  representations and compute local reduced states.

* :mod:`mpnum.factory`: Generate random, MPS, MPOs, MPDOs, MPAs, etc.

* :mod:`mpnum.linalg`: Compute the smallest eigenvalues & vectors of MPOs

* :mod:`mpnum.special`: Optimized versions of some routines for special cases

* :mod:`mpnum.povm`: Matrix product representation of Positive operator valued
  measures (POVM)

 * :mod:`mpnum.povm.localpovm`: Pauli-like POVM on a single site

 * :mod:`mpnum.povm.mppovm`: Matrix product POVM based on the
   Pauli-like POVM

"""


from .factory import *  # noqa: F401, F403
from .linalg import *   # noqa: F401, F403
from .mparray import *  # noqa: F401, F403
from .mpsmpo import *   # noqa: F401, F403


__version__ = "1.0.0"
